import { LoginForm } from '@/interface/user'
import { defineStore } from 'pinia'

export const useUserStore = defineStore('user', {
  state: () => ({
    token: '',
  }),
  actions: {
    async login(data: LoginForm) {
      console.log('data: ', data)
      this.token = 'token'
    },
  },
  getters: {
    getToken: ({ token }) => token,
  },
})
